Bug 1758224

Summary: qt5-quick1 not updated in latest release
Product: [Fedora] Fedora EPEL Reporter: Martyn Gigg <martyn.gigg>
Component: qt5-qtquick1Assignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: kde-sig, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: qt5-qtquick1-5.7.1-2.2bc722agit.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-19 16:52:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martyn Gigg 2019-10-03 15:31:22 UTC
Description of problem:

Current release of EPEL has updated dependencies for qt5-qtwebkit to the new version of qtbase (5.9.7) but qt5-qtquick1 has not been rebuilt and cannot now be installed.

Version-Release number of selected component (if applicable):
5.7.1-1.2bc722agit

How reproducible:
Always

Steps to Reproduce:
1. yum install qt5-qtquick1-devel

Actual results:
Error: Package: qt5-qtquick1-5.7.1-1.2bc722agit.el7.x86_64 (epel)
           Requires: qt5-qtbase(x86-64) = 5.9.2
           Installed: qt5-qtbase-5.9.7-2.el7.x86_64 (@anaconda/7.7)
               qt5-qtbase(x86-64) = 5.9.7-2.el7
           Available: qt5-qtbase-5.6.1-10.el7.x86_64 (rhel-7-server-rpms)
               qt5-qtbase(x86-64) = 5.6.1-10.el7
           Available: qt5-qtbase-5.6.2-1.el7.x86_64 (rhel-7-server-rpms)
               qt5-qtbase(x86-64) = 5.6.2-1.el7
           Available: qt5-qtbase-5.9.2-3.el7.x86_64 (rhel-7-server-rpms)
               qt5-qtbase(x86-64) = 5.9.2-3.el7


Expected results:
Installs successfully

Additional info:

Comment 1 Fedora Update System 2019-10-04 16:17:35 UTC
FEDORA-EPEL-2019-9787714239 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9787714239

Comment 2 Fedora Update System 2019-10-04 21:19:28 UTC
qt5-qtquick1-5.7.1-2.2bc722agit.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9787714239

Comment 3 Martyn Gigg 2019-10-07 14:51:34 UTC
I can confirm that this fixes the installation issue for me.

Many thanks.

Comment 4 Fedora Update System 2019-10-19 16:52:35 UTC
qt5-qtquick1-5.7.1-2.2bc722agit.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.